# Generated by Django 4.2.7 on 2024-11-23 15:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ('inventory', '0006_alter_event_table'),
    ]

    def set_initial_container(apps, schema_editor):
        Item = apps.get_model('inventory', 'Item')
        for item in Item.objects.all():
            item.container_history.get_or_create(container=item.container_old)
            item.save()

    operations = [
        migrations.RenameField(
            model_name='item',
            old_name='container',
            new_name='container_old',
        ),
        migrations.CreateModel(
            name='ItemPlacement',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('container',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='item_history',
                                   to='inventory.container')),
                ('item',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='container_history',
                                   to='inventory.item')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('comment', models.TextField()),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments',
                                           to='inventory.item')),
            ],
        ),
        migrations.RunPython(set_initial_container),
        migrations.RemoveField(
            model_name='item',
            name='container_old',
        ),
    ]
